%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname yq

Name:           python-yq
Version:        2.12.2
Release:        1%{?dist}
Summary:        jq wrapper for YAML, XML, TOML documents
License:        ASL2
URL:            https://kislyuk.github.io/yq/
Source0:        https://github.com/kislyuk/yq/archive/refs/tags/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pyyaml
BuildRequires:  python%{python3_pkgversion}-toml
BuildRequires:  python%{python3_pkgversion}-xmltodict
BuildRequires:  python%{python3_pkgversion}-argcomplete
BuildRequires: jq
Requires: jq

%global _description %{expand:
yq takes YAML input, converts it to JSON, and pipes it to jq

See also: golang version at https://github.com/mikefarah/yq}

%description %{_description}

%{?python_enable_dependency_generator}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%if %{undefined python_enable_dependency_generator} && %{undefined python_disable_dependency_generator}
# Put manual requires here:
%endif
Requires: jq

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%check
# use what your upstream is using
cd test
PYTHONPATH=../build/lib %{__python3} test.py >test.out 2>&1 || cat test.out
cd -


%files -n  python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc docs Changes.rst README.rst
# For noarch packages: sitelib
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{_bindir}/tomlq
%{_bindir}/xq
%{_bindir}/yq

%changelog
* Mon Nov 15 2021 Stuart D. Gathman <stuart@gathman.org> 2.12.2-2
- Manual Requires: jq

* Mon Nov 15 2021 Stuart D. Gathman <stuart@gathman.org> 2.12.2-1
- Initial RPM
